{
  pkgs ? import <nixpkgs> {},
  vendorHash ? "sha256-OxPbXF7ouilQUCp8I76gqoq3t9PPYrUQukgxliACqlI=",
}:
rec {
  default = roleypoly;
  roleypoly = pkgs.buildGoModule {
    inherit vendorHash;
    name = "roleypoly";
    src = ./.;
  };
  container = pkgs.dockerTools.buildImage {
    name = "roleypoly/roleypoly";
    tag = "latest";
    copyToRoot = [ 
      pkgs.dockerTools.caCertificates
    ];
    config = {
      Cmd = [ "${roleypoly}/bin/roleypoly" ];
    };
  };
}